<div style="margin-bottom: 15px;">
    <h5 style="margin-top: 15px; margin-bottom: 15px;">
       <span jhiTranslate="mpmApp.productPurchaseOrder.home.title">Product Purchase Orders</span>
    </h5>
    <p-dataTable
        [value]="productPurchaseOrders"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idOrder"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" *jhiHasAnyAuthority="'ROLE_ADMIN'">
                    <span>
                        <a class="btn" href="javascript:void(0)" style="cursor: pointer;">
                            <i class="fa fa-upload" aria-hidden="true"></i><label for="fileInput" style="cursor: pointer;"> &nbsp;&nbsp;{{ 'entity.action.loadFile' | translate }}</label>
                            <input id="fileInput" type="file" (change)="onFileSelect($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" style="display: none"/>
                        </a>
                    </span>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['product-purchase-order-popup-new'] }, queryParams: {page: previousPage} }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.productPurchaseOrder.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orders.orderNumber'|translate}}" [style]="{'width': '200px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.orderNumber}}
                </ng-template>
            </p-column>
        <p-column header="{{'mpmApp.productPurchaseOrder.vendor'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.vendorId}} - {{rowData.vendorName}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productPurchaseOrder.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.internalId}} - {{rowData.internalName}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productPurchaseOrder.billTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.billToId}} - {{rowData.billToName}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../product-purchase-order', rowData.idOrder]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['../product-purchase-order/0/' + page + '/' + rowData.idOrder + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idOrder)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>